components:
  schemas:
    PrivilegeRegistry_v1_2_0_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/PrivilegeRegistry_v1_2_0_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
          x-versionAdded: v1_1_0
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    PrivilegeRegistry_v1_2_0_Mapping:
      additionalProperties: false
      description: The mapping between a resource type and the relevant privileges
        that accesses the resource.
      properties:
        Entity:
          description: The resource name, such as `Manager`.
          readOnly: true
          type: string
          x-longDescription: This property shall contain the resource name, such as
            `Manager`.
        OperationMap:
          $ref: '#/components/schemas/PrivilegeRegistry_v1_2_0_OperationMap'
          description: List mapping between HTTP methods and privilege required for
            the resource.
          x-longDescription: This property shall list the mapping between HTTP methods
            and the privilege required for the resource.
        PropertyOverrides:
          description: The privilege overrides of properties within a resource.
          items:
            $ref: '#/components/schemas/PrivilegeRegistry_v1_2_0_Target_PrivilegeMap'
          type: array
          x-longDescription: This property shall contain the privilege overrides of
            properties, such as the `Password` property in the `ManagerAccount` resource.
        ResourceURIOverrides:
          description: The privilege overrides of resource URIs.
          items:
            $ref: '#/components/schemas/PrivilegeRegistry_v1_2_0_Target_PrivilegeMap'
          type: array
          x-longDescription: This property shall contain the privilege overrides of
            resource URIs.  The target lists the resource URI and the new privileges.
        SubordinateOverrides:
          description: The privilege overrides of the subordinate resource.
          items:
            $ref: '#/components/schemas/PrivilegeRegistry_v1_2_0_Target_PrivilegeMap'
          type: array
          x-longDescription: This property shall contain the privilege overrides of
            the subordinate resource.  The target lists are identified by resource
            type.
      type: object
      x-longDescription: This type shall describe a mapping between a resource type
        and the relevant privileges that accesses the resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    PrivilegeRegistry_v1_2_0_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    PrivilegeRegistry_v1_2_0_OperationMap:
      additionalProperties: false
      description: The specific privileges required to complete a set of HTTP operations.
      properties:
        DELETE:
          description: The privilege required to complete an HTTP `DELETE` operation.
          items:
            $ref: '#/components/schemas/PrivilegeRegistry_v1_2_0_OperationPrivilege'
          type: array
          x-longDescription: This property shall contain the privilege required to
            complete an HTTP `DELETE` operation.
        GET:
          description: The privilege required to complete an HTTP `GET` operation.
          items:
            $ref: '#/components/schemas/PrivilegeRegistry_v1_2_0_OperationPrivilege'
          type: array
          x-longDescription: This property shall contain the privilege required to
            complete an HTTP `GET` operation.
        HEAD:
          description: The privilege required to complete an HTTP `HEAD` operation.
          items:
            $ref: '#/components/schemas/PrivilegeRegistry_v1_2_0_OperationPrivilege'
          type: array
          x-longDescription: This property shall contain the privilege required to
            complete an HTTP `HEAD` operation.
        PATCH:
          description: The privilege required to complete an HTTP `PATCH` operation.
          items:
            $ref: '#/components/schemas/PrivilegeRegistry_v1_2_0_OperationPrivilege'
          type: array
          x-longDescription: This property shall contain the privilege required to
            complete an HTTP `PATCH` operation.
        POST:
          description: The privilege required to complete an HTTP `POST` operation.
          items:
            $ref: '#/components/schemas/PrivilegeRegistry_v1_2_0_OperationPrivilege'
          type: array
          x-longDescription: This property shall contain the privilege required to
            complete an HTTP `POST` operation.
        PUT:
          description: The privilege required to complete an HTTP `PUT` operation.
          items:
            $ref: '#/components/schemas/PrivilegeRegistry_v1_2_0_OperationPrivilege'
          type: array
          x-longDescription: This property shall contain the privilege required to
            complete an HTTP `PUT` operation.
      type: object
      x-longDescription: This type shall describe the specific privileges required
        to complete a set of HTTP operations.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    PrivilegeRegistry_v1_2_0_OperationPrivilege:
      additionalProperties: false
      description: The privileges for a specific HTTP operation.
      properties:
        Privilege:
          description: An array of privileges that are required to complete a specific
            HTTP operation on a resource.
          items:
            type: string
          readOnly: true
          type: array
          x-longDescription: This array shall contain an array of privileges that
            are required to complete a specific HTTP operation on a resource.  This
            set of strings match zero or more strings in the `PrivilegesUsed` and
            `OEMPrivilegesUsed` properties.
      type: object
      x-longDescription: This type shall describe the privileges required to complete
        a specific HTTP operation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    PrivilegeRegistry_v1_2_0_PrivilegeRegistry:
      additionalProperties: false
      description: The `PrivilegeRegistry` schema describes the operation-to-privilege
        mappings.
      properties:
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/PrivilegeRegistry_v1_2_0_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
          x-versionAdded: v1_1_0
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Mappings:
          description: The mappings between entities and the relevant privileges that
            access those entities.
          items:
            $ref: '#/components/schemas/PrivilegeRegistry_v1_2_0_Mapping'
          type: array
          x-longDescription: This property shall describe the mappings between entities
            and the relevant privileges that access those entities.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        OEMPrivilegeDescriptions:
          description: The descriptions of the OEM privileges used in this mapping.
          items:
            type: string
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of the descriptions
            of the values of the `OEMPrivilegesUsed` property.  The order of this
            array shall match the order of the `OEMPrivilegesUsed` property.
          x-versionAdded: v1_2_0
        OEMPrivilegesUsed:
          description: The set of OEM privileges used in this mapping.
          items:
            type: string
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of OEM privileges
            used in this mapping.
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        PrivilegesUsed:
          description: The set of Redfish standard privileges used in this mapping.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/Privileges.yaml#/components/schemas/Privileges_PrivilegeType
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of Redfish standard
            privileges used in this mapping.
      required:
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall contain operation-to-privilege mappings.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    PrivilegeRegistry_v1_2_0_Target_PrivilegeMap:
      additionalProperties: false
      description: This type describes a mapping between one or more targets and the
        HTTP operations associated with them.
      properties:
        OperationMap:
          $ref: '#/components/schemas/PrivilegeRegistry_v1_2_0_OperationMap'
          description: The mapping between the HTTP operation and the privilege required
            to complete the operation.
          x-longDescription: This property shall contain the mapping between the HTTP
            operation and the privilege required to complete the operation.
        Targets:
          description: The set of URIs, resource types, or properties.
          items:
            nullable: true
            type: string
          readOnly: true
          type: array
          x-longDescription: This property shall contain the array of URIs, resource
            types, or properties.  For example, `/redfish/v1/Systems/1`, `Manager`,
            or `Password`.  When the `Targets` property is not present, no override
            is specified.
      type: object
      x-longDescription: This type shall describe a mapping between one or more targets
        and the HTTP operations associated with them.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#PrivilegeRegistry.v1_2_0.PrivilegeRegistry'
x-copyright: Copyright 2014-2025 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2025.3'
